#include <iostream>
#include <more/io/filesys.h>

int main(int argc,char **argv) {
  if(argc!=2)
    return 1;
  more::io::file_status status(argv[1]);
  if(status.exists())
    std::cout << argv[1] << "\nUid: " << status.uid() << "\nGid: "
	      << status.gid() << "\nAtime: " << status.atime() << "\nMtime: "
	      << status.mtime() << "\nFile Type: "
	      << (status.is_regular_file() ? "regular file" :
		  status.is_directory() ? "directory" :
		  status.is_symbolic_link() ? "symbolischer link" : 
		  "unbekannt")
	      << "\nPermissions: " << std::oct << status.permissions()
	      << "\nUser Permissions: " << std::oct
	      << status.user_permissions() << std::endl;
  else
    return 1;
}
